## org.eclipse.emf.ecore.xmi.impl
Class XMLString

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<StringSegment.Element>
                  org.eclipse.emf.ecore.xmi.impl.StringSegment
                      org.eclipse.emf.ecore.xmi.impl.XMLString

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<StringSegment.Element>, java.util.Collection<StringSegment.Element>, java.util.List<StringSegment.Element>, java.util.RandomAccess, EList<StringSegment.Element>

    public class XMLString

extends StringSegment

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.StringSegment
`StringSegment.Element, StringSegment.SegmentIterator`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary
`protected int` `currentLineWidth`
`protected int` `depth`
`protected java.lang.Object` `docTypeMark`
`protected java.lang.String` `docTypeName`
`protected java.util.List<java.lang.String>` `elementNames`
`protected java.lang.Object` `firstElementMark`
`protected java.util.List<java.lang.String>` `indents`
`protected boolean` `isMixed`
`protected boolean` `isUnformatted`
`protected boolean` `lastElementIsStart`
`protected int` `lineWidth`
`protected int` `markedLineWidth`
`protected java.util.List<java.lang.Boolean>` `mixed`
`protected java.lang.String` `publicId`
`protected boolean` `saveDoctype`
`protected boolean` `seenRoot`
`protected java.lang.String` `systemId`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.StringSegment
`buffer, BUFFER_SIZE, bufferPosition, cursor, cursorIndex, ELEMENT_SIZE, lineSeparator, LIST_SIZE, outputbytes, outputchars, segmentCapacity, temporaryFile, temporaryFileName`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XMLString()`
`XMLString(int lineWidth)`
`XMLString(int lineWidth, java.lang.String temporaryFileName)`
`XMLString(int lineWidth, java.lang.String publicId, java.lang.String systemId)`
`XMLString(int lineWidth, java.lang.String publicId, java.lang.String systemId, java.lang.String temporaryFileName)`

Method Summary
`void` `add(java.lang.String newString)`
`void` `addAttribute(java.lang.String name, java.lang.String value)`
`void` `addAttributeContent(java.lang.String content)`
`void` `addAttributeNS(java.lang.String prefix, java.lang.String localName, java.lang.String value)`
`void` `addCDATA(java.lang.String newString)`
`void` `addComment(java.lang.String newString)`
`void` `addEntity(java.lang.String name, java.lang.String value)`
`void` `addLine()`
`void` `addProcessingInstruction(java.lang.String target, java.lang.String data)`
`void` `addText(java.lang.String newString)`
`protected void` `closeStartElement()`
`void` `endAttribute()`
`void` `endContentElement(java.lang.String content)`
`void` `endElement()`
`void` `endEmptyElement()`
`protected java.lang.String` `getAttributeIndent()`
`protected java.lang.String` `getElementIndent()`
`protected java.lang.String` `getElementIndent(int extra)`
`java.lang.Object` `mark()`
`protected java.lang.String` `removeLast()`
`void` `reset(java.lang.String publicId, java.lang.String systemId, int lineWidth, java.lang.String temporaryFileName)`
`void` `resetToMark(java.lang.Object mark)`
`void` `saveDataValueElement(java.lang.String name, java.lang.String content)`
`protected void` `saveDoctype(java.lang.String name)`
`void` `saveNilElement(java.lang.String name)`
`void` `setLineWidth(int lineWidth)`
`void` `setMixed(boolean isMixed)`
`void` `setUnformatted(boolean isUnformatted)`
`void` `startAttribute(java.lang.String name)`
`void` `startElement(java.lang.String name)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.StringSegment
`getChars, getLength, getTemporaryFileName, iterator, listIterator, newData, reset, setTemporaryFileName, startFileBuffering, stringIterator, write, write, writeAscii`

Methods inherited from class org.eclipse.emf.common.util.BasicEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, canContainNull, clear, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, indexOf, isEmpty, isUnique, lastIndexOf, listIterator, move, move, remove, remove, removeAll, resolve, retainAll, set, setData, setUnique, shrink, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`subList`

Field Detail

### elementNames

    protected java.util.List<java.lang.String> elementNames

### mixed

    protected java.util.List<java.lang.Boolean> mixed

### isUnformatted

    protected boolean isUnformatted

### isMixed

    protected boolean isMixed

### indents

    protected java.util.List<java.lang.String> indents

### depth

    protected int depth

### lineWidth

    protected int lineWidth

### markedLineWidth

    protected int markedLineWidth

### currentLineWidth

    protected int currentLineWidth

### lastElementIsStart

    protected boolean lastElementIsStart

### firstElementMark

    protected java.lang.Object firstElementMark

### seenRoot

    protected boolean seenRoot

### saveDoctype

    protected boolean saveDoctype

### docTypeMark

    protected java.lang.Object docTypeMark

### docTypeName

    protected java.lang.String docTypeName

### publicId

    protected java.lang.String publicId

### systemId

    protected java.lang.String systemId

Constructor Detail

### XMLString

    public XMLString()

### XMLString

    public XMLString(int lineWidth)

### XMLString

    public XMLString(int lineWidth,
                     java.lang.String temporaryFileName)

### XMLString

    public XMLString(int lineWidth,
                     java.lang.String publicId,
                     java.lang.String systemId)

### XMLString

    public XMLString(int lineWidth,
                     java.lang.String publicId,
                     java.lang.String systemId,
                     java.lang.String temporaryFileName)

Method Detail

### setLineWidth

    public void setLineWidth(int lineWidth)

### reset

    public void reset(java.lang.String publicId,
                      java.lang.String systemId,
                      int lineWidth,
                      java.lang.String temporaryFileName)

### startElement

    public void startElement(java.lang.String name)

### saveNilElement

    public void saveNilElement(java.lang.String name)

### saveDataValueElement

    public void saveDataValueElement(java.lang.String name,
                                     java.lang.String content)

### addEntity

    public void addEntity(java.lang.String name,
                          java.lang.String value)

### saveDoctype

    protected final void saveDoctype(java.lang.String name)

### setMixed

    public void setMixed(boolean isMixed)

### setUnformatted

    public void setUnformatted(boolean isUnformatted)

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

### addAttributeNS

    public void addAttributeNS(java.lang.String prefix,
                               java.lang.String localName,
                               java.lang.String value)

### startAttribute

    public void startAttribute(java.lang.String name)

### addAttributeContent

    public void addAttributeContent(java.lang.String content)

### endAttribute

    public void endAttribute()

### closeStartElement

    protected void closeStartElement()

### endEmptyElement

    public void endEmptyElement()

### endContentElement

    public void endContentElement(java.lang.String content)

### endElement

    public void endElement()

### removeLast

    protected java.lang.String removeLast()

### getElementIndent

    protected java.lang.String getElementIndent()

### getElementIndent

    protected java.lang.String getElementIndent(int extra)

### getAttributeIndent

    protected java.lang.String getAttributeIndent()

### addText

    public void addText(java.lang.String newString)

### addCDATA

    public void addCDATA(java.lang.String newString)

### addComment

    public void addComment(java.lang.String newString)

### addProcessingInstruction

    public void addProcessingInstruction(java.lang.String target,
                                         java.lang.String data)

### add

    public void add(java.lang.String newString)

  Overrides:
    `add` in class `StringSegment`

### addLine

    public void addLine()

  Overrides:
    `addLine` in class `StringSegment`

### mark

    public java.lang.Object mark()

  Overrides:
    `mark` in class `StringSegment`

### resetToMark

    public void resetToMark(java.lang.Object mark)

  Overrides:
    `resetToMark` in class `StringSegment`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.